package com.phlx.anchorcollect_p.ui.feedback;

import android.os.Bundle;

import androidx.lifecycle.ViewModelProviders;

import com.phlx.anchorcollect_p.R;
import com.phlx.anchorcollect_p.data.VMFactory;
import com.phlx.anchorcollect_p.databinding.ActivityFeedbackBinding;
import com.phlx.anchorcollect_p.ui.base.BaseActivity;
import com.phlx.anchorcollect_p.ui.info.CattleVM;

import me.tatarka.bindingcollectionadapter2.BR;

/**
 * 意见反馈
 */

public class FeedbackActivity extends BaseActivity<ActivityFeedbackBinding, FeedbackVM> {
    @Override
    public int initContentView(Bundle savedInstanceState) {
        return R.layout.activity_feedback;
    }

    @Override
    public int initVariableId() {
        return BR.viewModel;
    }

    @Override
    public void initParam() {
        super.initParam();
    }

    @Override
    public FeedbackVM initViewModel() {
        VMFactory factory = VMFactory.getInstance(getApplication());
        return ViewModelProviders.of(this, factory).get(FeedbackVM.class);
    }

    @Override
    public void initData() {
        super.initData();

        //初始化标题
        viewModel.initToolbar();
    }

    @Override
    public void initViewObservable() {
        super.initViewObservable();
    }
}
